Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations KootK on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

CATScript: Adding to Lists 1

Status
Not open for further replies.

jeandion

Civil/Environmental
Feb 14, 2006
2
Hi All,

Does anyone know the syntax for adding to a List within a CATScript Macro? I have been using the .add() method, however it keeps returning an error saying that the Object does not support of the method.

I read in the documentation that the .add() method will not put an already existing element into a List if .IsDuplicateElementsAllowed is set to false, however I am not able to find documentation on how to use this statement.

To be more specific, I am trying to add points that I create within a Macro loop into a list.

 
Replies continue below

Recommended for you

Try this,

Sub Main()

Dim oDoc
Set oDoc = CATIA.ActiveDocument

Dim oPart
Set oPart = oDoc.Part

Dim oHBs
Set oHBs = oPart.HybridBodies

Dim oHB
Set oHB = oHBs.Add

Dim oHSF
Set oHSF = oPart.HybridShapeFactory

Dim oParams
Set oParams = oPart.Parameters

Dim oList
Set oList = oParams.CreateList("Points")

For i = 1 To 10
X = X + 25
Set myPoint = oHSF.AddNewPointCoord(X, 0, 0)
oHB.AppendHybridShape myPoint
oList.ValueList.Add myPoint
Next i

End Sub
 
Thank you nev99 !

Worked perfectly!

 
Status
Not open for further replies.

Part and Inventory Search

Sponsor